ru.bitel.bgbilling.modules.bvcom.common.service

## Interface BVComService

- All Superinterfaces:
    ru.bitel.bgbilling.common.service.PaymentServiceProvider

      public interface BVComService
      extends ru.bitel.bgbilling.common.service.PaymentServiceProvider

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTransaction(BVComTransaction transaction)`
    `java.util.List<BVComTransaction>` | `getReturnTransactionList()`
    `BVComTransaction` | `getTransaction(int transactionId)`
    `java.util.List<BVComTransaction>` | `getTransactionList(int status, int contractId, java.lang.String contractTitle, java.util.Date dateFrom, java.util.Date dateTo, java.lang.String groups)`
    `void` | `returnMoney(BVComTransaction transaction)`
    `void` | `updateTransaction(BVComTransaction transaction)`

    - ### Methods inherited from interface ru.bitel.bgbilling.common.service.PaymentServiceProvider

      `beginTransaction`

- - ### Method Detail

    - #### getTransactionList

          java.util.List<BVComTransaction> getTransactionList(int status,
                                                              int contractId,
                                                              java.lang.String contractTitle,
                                                              java.util.Date dateFrom,
                                                              java.util.Date dateTo,
                                                              java.lang.String groups)
                                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getTransaction

          BVComTransaction getTransaction(int transactionId)
                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getReturnTransactionList

          java.util.List<BVComTransaction> getReturnTransactionList()
                                                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### addTransaction

          void addTransaction(BVComTransaction transaction)
                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateTransaction

          void updateTransaction(BVComTransaction transaction)
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### returnMoney

          void returnMoney(BVComTransaction transaction)
                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`